package org.springblade.person.feign;

import org.springblade.person.entity.Veterans;
import org.springblade.person.vo.VeteransVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class VeteransClientFallback implements IVeteransClient {
            /**
         * 详情
         */
        @Override
        public VeteransVO detail(Veterans veterans) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<VeteransVO> list(Veterans veterans) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( Veterans veterans) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( Veterans veterans) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( Veterans veterans) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
